<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xueyi.system.meeting.mapper.DmMeetingRoomsMapper">

    <select id="selectRoomList" parameterType="DmMeetingRoomsPo" resultType="DmMeetingRoomsPo">
        select * from dm_spaces u where u.type = 1 AND u.del_flag = 0
        <if test="null!=deptId and '' != deptId">
             and u.dept_id = #{deptId}
        </if>
    </select>

    <select id="findById" parameterType="Object" resultType="DmMeetingRoomsPo">
        select * from dm_spaces u where u.type = 1
        and id = #{id} and del_flag=0
    </select>


</mapper>